summaryrefslogtreecommitdiff
path: root/tests/pcre-abort
diff options
context:
space:
mode:
Diffstat (limited to 'tests/pcre-abort')
-rwxr-xr-xtests/pcre-abort21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/pcre-abort b/tests/pcre-abort
new file mode 100755
index 0000000..5e9fdf2
--- /dev/null
+++ b/tests/pcre-abort
@@ -0,0 +1,21 @@
+#! /bin/sh
+# Show that grep handles PCRE's PCRE_ERROR_MATCHLIMIT.
+# In grep-2.8, it would abort.
+#
+# Copyright (C) 2011-2016 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+require_pcre_
+
+fail=0
+
+echo aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaab > in || framework_failure_
+grep -P '((a+)*)+$' in > out
+test $? = 2 || fail=1
+compare /dev/null out || fail=1
+
+Exit $fail